Name:       python-colorclass
Version:    2.2.2
Release:    %mkrel 5
Summary:    Python colorful worry-free console applications
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/colorclass/
Source0:    https://files.pythonhosted.org/packages/source/c/colorclass/colorclass-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python3-devel

%description
python-colorclass provides a colorful worry-free console applications.

%package -n python3-colorclass
Summary: %{summary} / Python 3 library

%description -n python3-colorclass
python-colorclass provides a colorful worry-free console applications.

%prep
%setup -q -n colorclass-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorclass

%files -n python3-colorclass -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.2.2-5.mga10
+ Revision: 2238974
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.2.2-4.mga10
+ Revision: 2155732
- rebuild for python3.13

* Fri Feb 16 2024 papoteur <papoteur> 2.2.2-3.mga10
+ Revision: 2041906
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 2.2.2-2.mga9
+ Revision: 1823878
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.2.2-1.mga9
+ Revision: 1785533
- version 2.2.2
- rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 2.2.0-4.mga9
+ Revision: 1710683
- rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1535548
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1452156
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1352276
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-5.mga7
+ Revision: 1288432
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.0-4.mga7
+ Revision: 1135345
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 971080
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 889179
- rebuild for python 3.5

* Sat Aug 22 2015 bcornec <bcornec> 1.2.0-1.mga6
+ Revision: 867979
- Update again deps for python-colorclass
- Improve deps for python-colorclass
- Improve deps for python-colorclass
- Import python colorclass
- Created package structure for python-colorclass.

